%if 0%{?el7}
%define dist .el7
%endif

%define realname zimg

Name:           lib%{realname}
Version:        3.0.5
Release:        1%{?dist}
Summary:        Resizing, colorspace, and bit depth conversion library
Group:          System Environment/Libraries

License:        WTFPLv2
URL:            https://github.com/sekrit-twc/zimg
Source0:        https://github.com/sekrit-twc/%{realname}/archive/release-%{version}.tar.gz
#Patch0: zimg-gcc10.patch

BuildRequires:  automake autoconf libtool
BuildRequires:  gcc-c++ >= 4.8
BuildRequires:  gcc

Packager:       momo-i <webmaster@momo-i.org>
Vendor:         momo-i, http://www.momo-i.org/

Obsoletes:      zimg < 2.7

%description
The "z" library implements the commonly required image processing basics of
scaling, colorspace conversion, and depth conversion. A simple API enables
conversion between any supported formats to operate with minimal knowledge
from the programmer. All library routines were designed from the ground-up
with flexibility, thread-safety, and correctness as first priorities.
Allocation, buffering, and I/O are cleanly separated from processing, allowing
the programmer to adapt "z" to many scenarios.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}
Obsoletes:      zimg-devel < 2.7

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q -n %{realname}-release-%{version}
#patch0 -p0
./autogen.sh

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%{__rm} -rf $RPM_BUILD_ROOT%{_datadir}/doc/%{realname}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc ChangeLog README.md doc/*
%{!?_licensedir:%global license %%doc}
%license COPYING
%{_libdir}/*.so.*

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{realname}.pc

%changelog
* Sat Jun 15 2024 momo-i <webmaster@momo-i.org> - 3.0.5-1
- Update to 3.0.5

* Tue Dec 27 2022 momo-i <webmaster@momo-i.org> - 3.0.4-1
- Update to 3.0.4

* Sat Apr 02 2022 momo-i <webmaster@momo-i.org> - 3.0.3-1
- Update to 3.0.3

* Fri Jun 05 2020 momo-i <webmaster@momo-i.org> - 2.9.3-1
- Update to 2.9.3

* Sun Nov 25 2018 momo-i <webmaster@momo-i.org> - 2.8-1
- Update to 2.8

* Sun Jul 08 2018 momo-i <webmaster@momo-i.org> - 2.7.4-1
- Update to 2.7.4

* Mon Oct 02 2017 momo-i <webmaster@momo-i.org> - 2.6.1-1
- Update to 2.6.1

* Mon Aug 21 2017 momo-i <webmaster@momo-i.org> - 2.6a-1
- Update to 2.6a

* Wed Mar 15 2017 momo-i <webmaster@momo-i.org> - 2.5-1
- Update to 2.5

* Mon Jan 23 2017 momo-i <webmaster@momo-i.org> - 2.4-1
- Update to 2.4

* Wed Nov 09 2016 momo-i <webmaster@momo-i.org> - 2.3-1
- Update to 2.3

* Tue Sep 13 2016 momo-i <webmaster@momo-i.org> - 2.2.1-1
- Update to 2.2.1

* Tue May 10 2016 momo-i <webmaster@momo-i.org> - 2.1-1
- Update to 2.1

* Mon Feb 29 2016 momo-i <webmaster@momo-i.org> - 2.0.4-3
- Rename zimg to libzimg

* Mon Feb 22 2016 momo-i <webmaster@momo-i.org> - 2.0.4-2
- Set Group

* Wed Feb 17 2016 momo-i <webmaster@momo-i.org> - 2.0.4-1
- Initial rpm release.
